Foros del Web » Creando para Internet » Sistemas de gestión de contenidos » WordPress »

[SOLUCIONADO] error al actualizar plugins

Estas en el tema de error al actualizar plugins en el foro de WordPress en Foros del Web. Estimados: tengo este error que me vuelve loco Cita: Actualizando plugin Akismet (1/1) Descargando paquete de instalación desde https://downloads.wordpress.org/plug...met.3.0.2.zip… Descomprimiendo actualización… Instalando última versión… Eliminando ...
  #1 (permalink)  
Antiguo 08/09/2014, 15:36
Avatar de estudioplateado  
Fecha de Ingreso: diciembre-2009
Mensajes: 71
Antigüedad: 10 años, 10 meses
Puntos: 2
Pregunta error al actualizar plugins

Estimados:

tengo este error que me vuelve loco

Cita:
Actualizando plugin Akismet (1/1)

Descargando paquete de instalación desde https://downloads.wordpress.org/plug...met.3.0.2.zip…
Descomprimiendo actualización…
Instalando última versión…
Eliminando la antigua versión del plugin…
Actualización de plugin fallida.

Se ha producido un error al actualizar Akismet: No ha sido posible eliminar la versión anterior del plugin.
vengo cambiando permisos a diestra y siniestra a archivos y carpetas y nada...

gracias desde ya,
  #2 (permalink)  
Antiguo 08/09/2014, 16:47
Avatar de zanguanga
Moderadora
 
Fecha de Ingreso: julio-2009
Ubicación: España
Mensajes: 1.686
Antigüedad: 11 años, 3 meses
Puntos: 429
Respuesta: error al actualizar plugins

Siempre puedes borrarlo y subirlo por FTP. Podría ser un problema de conectividad, o del hosting... ni idea. Es raro que pase con un plugin tan liviano.
__________________
Mi blog personal | Mi G+
  #3 (permalink)  
Antiguo 08/09/2014, 22:46
Avatar de webosiris
Moderador egiptólogo
 
Fecha de Ingreso: febrero-2002
Ubicación: Luxor, Egipto
Mensajes: 10.727
Antigüedad: 18 años, 8 meses
Puntos: 998
Respuesta: error al actualizar plugins

pueden ser 2 cosas:
- problema de permisos en la carpeta wp-content o plugins (revisa que estén 777)
- que tengas habilitado el safe_mode en la configuración del php en el servidor (lo que, por cierto, es una característica que ya fue eliminada en php 5.4)
__________________
Pasamos tus PSD a HTML

Pobre del que lo sabe todo, porque no tiene nada más que aprender ni razón para vivir. -
  #4 (permalink)  
Antiguo 09/09/2014, 06:00
 
Fecha de Ingreso: diciembre-2004
Ubicación: Madrid
Mensajes: 549
Antigüedad: 15 años, 9 meses
Puntos: 28
Respuesta: error al actualizar plugins

yo diría que son problemas de permisos en el servidor
  #5 (permalink)  
Antiguo 09/09/2014, 14:08
 
Fecha de Ingreso: julio-2012
Ubicación: Buenos Aires
Mensajes: 8
Antigüedad: 8 años, 3 meses
Puntos: 1
Respuesta: error al actualizar plugins

Pregunto:

si instalas otro plugin, también tenés problemas?
Si podés instalar otro plugin sin problemas descartá que sea un tema de permisos.

Lo que yo haría en tu caso en vez de actualizar Akismet, lo desactivaría y luego lo borraría.
Vaciaría la caché de WP Super Cache o del plugin que uses a tal fin y luego procedería a instalar Akismet desde cero.

Prueba y nos cuentas.
Que haya suerte.
  #6 (permalink)  
Antiguo 09/09/2014, 14:38
Avatar de estudioplateado  
Fecha de Ingreso: diciembre-2009
Mensajes: 71
Antigüedad: 10 años, 10 meses
Puntos: 2
Respuesta: error al actualizar plugins

Cita:
Iniciado por webosiris Ver Mensaje
pueden ser 2 cosas:
- problema de permisos en la carpeta wp-content o plugins (revisa que estén 777)
- que tengas habilitado el safe_mode en la configuración del php en el servidor (lo que, por cierto, es una característica que ya fue eliminada en php 5.4)
Hola

ya le cambie los permisos a 777 a wp-content y a Akismet (mediante Filezilla, tildando el casillero 'aplicar permisos solo a directorios') y el problema persiste
  #7 (permalink)  
Antiguo 09/09/2014, 14:48
Avatar de estudioplateado  
Fecha de Ingreso: diciembre-2009
Mensajes: 71
Antigüedad: 10 años, 10 meses
Puntos: 2
Respuesta: error al actualizar plugins

Cita:
Iniciado por deqmte Ver Mensaje
Pregunto:

si instalas otro plugin, también tenés problemas?
Si podés instalar otro plugin sin problemas descartá que sea un tema de permisos.

Lo que yo haría en tu caso en vez de actualizar Akismet, lo desactivaría y luego lo borraría.
Vaciaría la caché de WP Super Cache o del plugin que uses a tal fin y luego procedería a instalar Akismet desde cero.

Prueba y nos cuentas.
Que haya suerte.
Hola

hice la prueba que me sugeriste: sub un plugin del cual tenia la version vieja, y se pudo actualizar correctamente ...

Cita:
Actualizando plugin WP-PageNavi (1/1)

WP-PageNavi actualizado correctamente. Mostrar detalles.
me queda la duda que pueda ser, tengo otro wordpress en el cual ya son varios los plugins que me tiran el mismo error:

Cita:
Descargando paquete de instalación desde https://downloads.wordpress.org/plug...sts.3.5.1.zip…
Descomprimiendo actualización…
Instalando última versión…
Eliminando la antigua versión del plugin…
Actualización de plugin fallida.

Se ha producido un error al actualizar Related Posts: No ha sido posible eliminar la versión anterior del plugin.
Actualizando plugin WP-PageNavi (6/8)

WP-PageNavi actualizado correctamente. Mostrar detalles.
Actualizando plugin WP-PostRatings (7/8)

Descargando paquete de instalación desde https://downloads.wordpress.org/plug...ings.1.79.zip…
Descomprimiendo actualización…
Instalando última versión…
Eliminando la antigua versión del plugin…
Actualización de plugin fallida.

Se ha producido un error al actualizar WP-PostRatings: No ha sido posible eliminar la versión anterior del plugin.
Actualizando plugin WP Security Scan (8/8)

Descargando paquete de instalación desde https://downloads.wordpress.org/plug...rity-scan.zip…
Descomprimiendo actualización…
Instalando última versión…
Eliminando la antigua versión del plugin…
Actualización de plugin fallida.

Se ha producido un error al actualizar WP Security Scan: No ha sido posible eliminar la versión anterior del plugin.

Desactivando el modo de mantenimiento…

Todas las actualizaciones han sido completadas.

Volver a la página de plugins | Volver a las actualizaciones de WordPress
Vean el detalle que no todos los plugins dan error, algunos si se actualizan ...

este sitio supo ser defaceado con el hacked by hacker o algo asi ...


gracias
  #8 (permalink)  
Antiguo 09/09/2014, 14:54
Avatar de estudioplateado  
Fecha de Ingreso: diciembre-2009
Mensajes: 71
Antigüedad: 10 años, 10 meses
Puntos: 2
Respuesta: error al actualizar plugins

Cita:
Iniciado por zanguanga Ver Mensaje
Siempre puedes borrarlo y subirlo por FTP. Podría ser un problema de conectividad, o del hosting... ni idea. Es raro que pase con un plugin tan liviano.
Ahora me ocurre que no puedo borrar el plugin Akismet ni desde el panel de administracion de Wordpress ni desde el FTP ...
  #9 (permalink)  
Antiguo 09/09/2014, 16:11
 
Fecha de Ingreso: julio-2012
Ubicación: Buenos Aires
Mensajes: 8
Antigüedad: 8 años, 3 meses
Puntos: 1
Respuesta: error al actualizar plugins

Desde ya que todo esto previo backup, yo vaciaría la cache y deshabilitaría el plugin que uso para la cache.

Leí que no lo podés borrar Akismet, pero te deja deshabilitarlo?
  #10 (permalink)  
Antiguo 09/09/2014, 17:02
Avatar de ArturoGallegos
Moderador
 
Fecha de Ingreso: febrero-2008
Ubicación: Morelia, México
Mensajes: 6.748
Antigüedad: 12 años, 7 meses
Puntos: 1134
Respuesta: error al actualizar plugins

Cuando intentas actualizar los permisos desde filezilla te manda mensaje de Ok, a mi me ha pasado esto y cuando reviso el log de filezilla veo que el usuario de FTP no tiene los suficientes permisos para modificar ciertos archivos y/o carpetas.

La solución es ir al panel de administración del hosting y cambiar los permisos o borrar desde allí el contenido en cuestión.
  #11 (permalink)  
Antiguo 09/09/2014, 19:04
 
Fecha de Ingreso: julio-2012
Ubicación: Buenos Aires
Mensajes: 8
Antigüedad: 8 años, 3 meses
Puntos: 1
Respuesta: error al actualizar plugins

Cita:
Iniciado por ArturoGallegos Ver Mensaje
Cuando intentas actualizar los permisos desde filezilla te manda mensaje de Ok, a mi me ha pasado esto y cuando reviso el log de filezilla veo que el usuario de FTP no tiene los suficientes permisos para modificar ciertos archivos y/o carpetas.

La solución es ir al panel de administración del hosting y cambiar los permisos o borrar desde allí el contenido en cuestión.
pero por qué le deja actualizar otros plugins y ese no?, desde mi punto de vista si fuese un tema de permisos no podria actualizar ninguno, pero cabe la posibilidad que yo esté equivocado.
  #12 (permalink)  
Antiguo 09/09/2014, 23:54
Avatar de ArturoGallegos
Moderador
 
Fecha de Ingreso: febrero-2008
Ubicación: Morelia, México
Mensajes: 6.748
Antigüedad: 12 años, 7 meses
Puntos: 1134
Respuesta: error al actualizar plugins

el que la carpeta principal tenga los permisos 777 no implica que sus subcarpetas o archivos tengan los mismos permisos.... ya sea porque fue creado con otro usuario o porque fueron movidos.
  #13 (permalink)  
Antiguo 11/09/2014, 12:03
Avatar de estudioplateado  
Fecha de Ingreso: diciembre-2009
Mensajes: 71
Antigüedad: 10 años, 10 meses
Puntos: 2
Respuesta: error al actualizar plugins

Cita:
Iniciado por ArturoGallegos Ver Mensaje
La solución es ir al panel de administración del hosting y cambiar los permisos o borrar desde allí el contenido en cuestión.
he cambiado permisos desde el hostpanel y sigue el problema, ahora bien mirando en el filezilla en el directorio de plugins, al lado de la columna permisos esta la columna PROPIETARIO/GRUPO y, curiosamente, los plugins que dan error tienen el propietario/grupo en cero:



se puede arreglar eso que esta en cero?

gracias
  #14 (permalink)  
Antiguo 11/09/2014, 14:53
Avatar de zanguanga
Moderadora
 
Fecha de Ingreso: julio-2009
Ubicación: España
Mensajes: 1.686
Antigüedad: 11 años, 3 meses
Puntos: 429
Respuesta: error al actualizar plugins

Probablemente tendrán que hacerlo con acceso root, prueba entrando por SFTP y si no puedes contacta con el servicio de soporte de tu hosting para que los cambien. Hace tiempo a mí me pasaba constantemente, debe ser por los ajustes del servidor.
__________________
Mi blog personal | Mi G+
  #15 (permalink)  
Antiguo 12/09/2014, 10:17
Avatar de estudioplateado  
Fecha de Ingreso: diciembre-2009
Mensajes: 71
Antigüedad: 10 años, 10 meses
Puntos: 2
Respuesta: error al actualizar plugins

Cita:
Iniciado por zanguanga Ver Mensaje
Probablemente tendrán que hacerlo con acceso root, prueba entrando por SFTP y si no puedes contacta con el servicio de soporte de tu hosting para que los cambien. Hace tiempo a mí me pasaba constantemente, debe ser por los ajustes del servidor.
Así lo hice y me lo solucionaron

gracias

Etiquetas: plugin, plugins
Atención: Estás leyendo un tema que no tiene actividad desde hace más de 6 MESES, te recomendamos abrir un Nuevo tema en lugar de responder al actual.
Respuesta




La zona horaria es GMT -6. Ahora son las 03:04.